CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
csl::Comb Class Reference

Comb filter class. More...

`#include <Freeverb.h>`

List of all members.

## Public Member Functions
| Comb ()
void | mute ()
float | damp ()
float | feedback ()
void | setDamp (float val)
void | setFeedback (float val)
void | setBuffer (float *buf, int size)
float | process (float inp)

## Private Attributes
float | mFeedback
float | mFilterStore
float | mDamp1
float | mDamp2
float * | mBufferPtr
int | mBufSize
int | mBufIdx

## Detailed Description

Comb filter class.

Definition at line 65 of file Freeverb.h.

## Constructor & Destructor Documentation

csl::Comb::Comb | ( |  | ) |
| inline

Definition at line 67 of file Freeverb.h.

## Member Function Documentation

void Comb::mute | ( |  | ) |

Definition at line 47 of file Freeverb.cpp.

References mBufferPtr, and mBufSize.

float csl::Comb::damp | ( |  | ) |
| inline

Definition at line 70 of file Freeverb.h.

References mDamp1.

float csl::Comb::feedback | ( |  | ) |
| inline

Definition at line 71 of file Freeverb.h.

References mFeedback.

void Comb::setDamp | ( | float | val | ) |

Definition at line 52 of file Freeverb.cpp.

References mDamp1, and mDamp2.

void csl::Comb::setFeedback | ( | float | val | ) |
| inline

Definition at line 73 of file Freeverb.h.

References mFeedback.

void Comb::setBuffer | ( | float * | buf,
|  | int | size
| ) |  |

Definition at line 42 of file Freeverb.cpp.

References mBufferPtr, and mBufSize.

Referenced by csl::Freeverb::constructReverbGraph().

float csl::Comb::process | ( | float | inp | ) |
| inline

Definition at line 112 of file Freeverb.h.

References mBufferPtr, mBufIdx, mBufSize, mDamp1, mDamp2, mFeedback, mFilterStore, and undenormalise.

## Member Data Documentation

float csl::Comb::mFeedback
| private

Definition at line 79 of file Freeverb.h.

Referenced by feedback(), process(), and setFeedback().

float csl::Comb::mFilterStore
| private

Definition at line 80 of file Freeverb.h.

Referenced by process().

float csl::Comb::mDamp1
| private

Definition at line 81 of file Freeverb.h.

Referenced by damp(), process(), and setDamp().

float csl::Comb::mDamp2
| private

Definition at line 82 of file Freeverb.h.

Referenced by process(), and setDamp().

float* csl::Comb::mBufferPtr
| private

Definition at line 83 of file Freeverb.h.

Referenced by mute(), process(), and setBuffer().

int csl::Comb::mBufSize
| private

Definition at line 84 of file Freeverb.h.

Referenced by mute(), process(), and setBuffer().

int csl::Comb::mBufIdx
| private

Definition at line 85 of file Freeverb.h.

Referenced by process().

The documentation for this class was generated from the following files:

- CSL/Processors/Freeverb.h
- CSL/Processors/Freeverb.cpp